#!/bin/sh
#-----------------------------------------------------------------------------
# USAGE:
#    In scripts that launch HCSS applications; such scripts should contain:
#       #!/bin/sh
#       exec "`dirname $0`/_launch.sh" <title> <main-class> "$@"
#
# DESCRIPTION:
#    http://www.herschel.be/twiki/bin/view/Sandbox/PropertyRoadmap
#
# AUTHOR:
#    Jorgo Bakker at esa.int, 2015
#
# CHANGELOG:
#    2.4.0 Removed PermGen options (removed as of Java8)
#    1.4   Passing java executable used at installation
#    1.3   Passing title around
#    1.2   Simplified by calling a java launcher
#    1.1   Added auto-creation of jython system path
#    1.0   First go
#-----------------------------------------------------------------------------

# ensure that we use the same java executable as used during installation
PATH="${java.home}/bin:$PATH"
export PATH

appdir=`dirname "$0"`
"${java.home}/bin/java" -Xmx64m ${java.extra} -classpath "${appdir}/launcher.jar" "hcss.Launcher" "$@"
