@echo off
rem --------------------------------------------------------------------------
rem  USAGE:
rem     In scripts that launch HCSS applications, calling sequence:
rem        @echo off
rem        title [title]
rem        call "%~dp0_launch.bat" [title] [main-class] %*
rem     Note: You have to define the arguments in brackets ([])
rem  DESCRIPTION:
rem     See http://www.herschel.be/twiki/bin/view/Sandbox/PropertyRoadmap
rem
rem  AUTHOR:
rem     Jorgo Bakker at esa.int, 2015
rem
rem  CHANGELOG:
rem     2.4.0 Removed PermGen options (removed as of Java8)
rem     2.1.4 Keep console open in case of error
rem     1.4   Passing java executable used at installation
rem     1.3   Passing title around
rem     1.2   Simplified by calling a java launcher
rem     1.1   Added auto-creation of jython system path
rem     1.0   First go
rem --------------------------------------------------------------------------

rem ensure that we use the same java executable as used during installation
set PATH=${java.home}\bin;%PATH%

"${java.home}\bin\java" -Xmx64m ${java.extra} -classpath "%~dp0launcher.jar" "hcss.Launcher" %*

if %ERRORLEVEL% == 1 (
  pause 0
)
